> For the complete documentation index, see [llms.txt](https://docs.parallels.com/landing/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.parallels.com/landing/ras-best-practices-guide/v21/active-directory-and-infrastructure-services-considerations/dhcp.md).

# DHCP

Dynamic Host Configuration Protocol (DHCP) is a client/server protocol that automatically provides an Internet Protocol (IP) host with its IP address and other related configuration information such as the subnet mask and default gateway.

Parallels recommends the use of static or DHCP reserved IP addressing for Parallels RAS infrastructure servers.

With regards to VDI, to create a RAS template from an existing host, the guest operating system (Windows) must be configured to obtain an IP address via the DHCP server. With regards to a Provider Agent on hypervisors it is recommended to take note of the MAC address assigned to the appliance and add a DHCP reservation. If DHCP isn't available, a static IP address needs to be configured manually.

For Wyse clients, RAS Secure Gateway can act as a Wyse broker. Please ensure that DHCP option 188 on your DHCP server is set to the IP Address of this Gateway for thin clients that are going to boot via this gateway.

{% hint style="info" %}
**Note:** Parallels RAS should not to be installed on a domain controller or any other server where a DHCP server is running.
{% endhint %}


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation by asking a question.

Perform an HTTP GET request on the following URL with the `ask` and `goal` query parameters:

```
GET https://docs.parallels.com/landing/ras-best-practices-guide/v21/active-directory-and-infrastructure-services-considerations/dhcp.md?ask=<question>&goal=<user_goal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is what the user is ultimately trying to achieve, the reason they need the answer. Sharing it helps GitBook give you a better, more relevant answer. A goal is most helpful when it describes the outcome the user wants rather than restating the question. For example, with `ask=how do I create an API token`, a goal like `automate deployments from our CI pipeline` lets GitBook tailor the answer to that use case.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
